Name: sugar-toolkit-gtk3
Version: 0.98.5
Release: %mkrel 2
Summary: Sugar toolkit
Group: Graphical desktop/Other
License: LGPLv2+
URL: http://wiki.laptop.org/go/Sugar
Source: http://download.sugarlabs.org/sources/sucrose/glucose/%{name}/%{name}-%{version}.tar.bz2
Patch0: sugar-toolkit-gtk3-0.98.3-link.patch
Patch1: sugar-toolkit-gtk3-0.98.3-buildorder.patch
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(gdk-3.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(librsvg-2.0)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: intltool
BuildRequires: gobject-introspection-devel
BuildRequires: pygtk2.0-devel

Requires: dbus-python
Requires: sugar-datastore
Requires: python-simplejson
Requires: python-dateutil
Requires: python-gi >= 2.90.3
Requires: unzip

%description
Sugar is the core of the OLPC Human Interface. The toolkit provides
a set of widgets to build HIG compliant applications and interfaces
to interact with system services like presence and the data store.
This is the toolkit depending on GTK3.

%package devel
Summary: Invokation information for accessing SugarExt-1.0
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the invocation information for accessing
the SugarExt-1.0 library through gobject-introspection.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std
# remove unwanted la files
rm -f %buildroot/%{_libdir}/*.la
%find_lang %name

%files -f %{name}.lang
%doc COPYING README
%{python_sitelib}/*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib*.so.*
%{_bindir}/sugar-activity

%files devel
%{_libdir}/*.so
%{_datadir}/gir-1.0/*.gir


%changelog
* Sat Nov 02 2013 fwang <fwang> 0.98.5-2.mga4
+ Revision: 548845
- revert to 0.98.5
- add hard requires on python-gi

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + zezinho <zezinho>
    - new version

* Wed Mar 13 2013 zezinho <zezinho> 0.98.5-1.mga3
+ Revision: 402341
- new bugfix version

* Mon Jan 14 2013 umeabot <umeabot> 0.98.3-3.mga3
+ Revision: 383710
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + fwang <fwang>
    - disable verbose build
    - update br

* Sun Jan 13 2013 fwang <fwang> 0.98.3-2.mga3
+ Revision: 369710
- more linkage fix
- more build order fix
- fix linakge
- fix build order

* Thu Dec 27 2012 zezinho <zezinho> 0.98.3-1.mga3
+ Revision: 335614
- new version

* Thu Dec 13 2012 zezinho <zezinho> 0.98.1-1.mga3
+ Revision: 330430
- fix build
- try to fix build
- fix configure
- new version

* Wed Nov 21 2012 zezinho <zezinho> 0.96.5-1.mga3
+ Revision: 320088
- new version

* Sat Feb 25 2012 fwang <fwang> 0.95.3-2.mga2
+ Revision: 214508
- br for pygtk-codeggen
- fix requires

* Sat Feb 25 2012 zezinho <zezinho> 0.95.3-1.mga2
+ Revision: 214240
- patch to fix underlink
- new version
- imported package sugar-toolkit-gtk3

